#pragma once

#include "AbstractPainter.h"

#include <memory>

class DrawingContext;
class Grid;

class RasterPainter : public AbstractPainter
{
public:
    RasterPainter(DrawingContext* context);

    void paint() override;

private:
    std::unique_ptr<Grid> mGrid;
};
