#include "Grid.h"

#include "ListFactory.h"

Grid::Grid(const Bounds& bounds, std::size_t numPointsX, std::size_t numPointsY, List::Type dataType)
    : AbstractGrid(bounds, numPointsX, numPointsY, dataType)
{
    initializeData(dataType);
}

void Grid::initializeData(List::Type dataType)
{
    mData = ListFactory::Create(dataType, mNumX * mNumY);
}